/* 
 * File:   Options.h
 * Author: tg
 *
 * Created on July 23, 2012, 10:35 AM
 */

#ifndef OPTIONS_H
#define	OPTIONS_H

#include <string>

class Options {
private:
    std::string inputfn_;
    std::string outputfn_;
    std::string fafn_;
    std::string pdbfile_;
    int m_;
    double w_;
    bool help_;
    bool fom_;
public:
    Options(int argc, char** argv);
    ~Options();
    
    std::string input () const { return inputfn_; }
    std::string output () const { return outputfn_; }
    std::string fa_file() const { return fafn_; }
    std::string pdbfile() const { return pdbfile_; }
    int m() const { return m_ ; }
    double w() const { return w_; }
    bool help() { return help_; }
    bool fom()  { return fom_; }

};

#endif	/* OPTIONS_H */

