/* 
 * File:   ReflUtils.h
 * Author: tg
 *
 * Created on July 12, 2012, 7:43 PM
 */

#ifndef REFLUTILS_H
#define	REFLUTILS_H

#include "Reflex.h"
#include "Int3x3.h"
#include <vector>
#include <clipper/clipper.h>

namespace ReflUtils {
    Reflex merge (const std::vector<Reflex>& reflections);
    double dmin (const std::vector<Reflex>& reflections, const clipper::Cell& cell);
}


#endif	/* REFLUTILS_H */

